<body style="margin:0px; padding:0px;">
<?php
echo "<link rel=\"stylesheet\" href=\"//master.v3medya.com/css/watolye.css\" type=\"text/css\" />";
require_once('config.php');
/**
 * Create Payment Request
 * Ödeme İsteği Oluştur
 */
$request = new \Hepsipay\Request\CreatePaymentRequest();
/**
 * Set Options
 * Ayarları Set Et
 */
$request->setOptions($options);
$request->setTransactionTime();    // Ödeme İşlem Zamanı, Varsayılan zaman ise şuan.
$request->setTransactionId("tx_" . rand(100000, 999999));    // Ödemeye Ait Tekil Kodu (Maksimum 40 karakterdir)
$request->setDescription("E-Ticaret Ödemesi"); // Açıklama alanıdır (Maksimum 40 karakterdir)
$request->setAmount($_POST["ptutar"]); // Toplam Ödeme Tutarı
$request->setCurrency(\Hepsipay\Model\Currency::TL); // Toplam Ödeme Tutar Birimi
$request->setInstallment(1); // Ödeme Taksit Sayısı (1'den 12'ye kadar taksit değeridir)
/**
 * Credit Card Info
 * Kredi Kartı Bilgileri
 */
$card = new \Hepsipay\Model\Card();
$card->setCardHolderName($_POST["pisim"]); // Kart İsim Soyisim (Maksimum 40 karakterdir. Sadece alfabetik karakterler ve boşluk kabul eder)
$card->setCardNumber($_POST["pno"]); // Kart Numarası (15 veya 16 haneli nümerik değerdir)
$card->setExpireMonth($_POST["pay"]); // Kart Son Kullanım Tarihi (2 haneli nümerik değerdir.)
$card->setExpireYear($_POST["pyil"]); // Kart Son Kullanım Tarihi (2 haneli nümerik değerdir.)
$card->setSecurityCode($_POST["pccv"]); // Kart CVV (3 veya 4 haneli nümerik değerdir.)
$request->setCard($card);
/**
 * Customer Info
 * Müşteri Bilgileri
 */
$customer = new \Hepsipay\Model\Customer();
$customer->setName($_POST["pad"]); // Müşteri İsim (Maksimum 20 karakterdir. Sadece alfabetik karakterler ve boşluk kabul eder.)
$customer->setSurName($_POST["psoyad"]); // Müşteri Soyisim (Maksimum 20 karakterdir. Sadece alfabetik karakterler ve boşluk kabul eder.)
$customer->setEmail($_POST["pmail"]); // Müşteri Mail (Eposta adresidir.)
$customer->setIpAddress($_SERVER['REMOTE_ADDR']); // Müşteri IP Adresi (IP adresidir.)
$customer->setPhoneNumber($_POST["ptel"]); // Müşteri Telefon Numarası (Maksimum 13 karakterdir. Sadece nümerik ve + değerlerini alabilir.)
$customer->setCode("7cefdf61-38cd-4b35-b5f0-4c98c5805d41"); // Müşteri Kodu (Maksimum 36 karakterdir.)
$customer->setTckn($_POST["ptc"]); // Müşteri Kimik Numarısı (TC Kimlik numarasıdır.)
$customer->setVatNumber($_POST["ptc"]); // Müşteri Vergi Numarası (Şirketlere ve firmalara tekil vergi numarası)
$customer->setMemberSince("20151124"); // Müşteri Üyelik tarihi (Müşteri üyelik tarihi formatı YYYYMMDD’dır.)
$customer->setBirthDate("19781123"); // Müşteri Doğum tarihi (Müşteri üyelik tarihi formatı YYYYMMDD’dır.)
$request->setCustomer($customer);
/**
 * Shipping Address
 * Teslimat/Nakliye Adresi
 */
$shippingAddress = new \Hepsipay\Model\Address();
$shippingAddress->setName($_POST["pisim"]); // Sipariş Teslimatının yapılacağı kişi adı ve soyadı (Maksimum 40 karakterdir. Sadece alfabetik karakterler ve boşluk kabul eder.)
$shippingAddress->setAddress($_POST["padres"]); // Siparişin teslim edileceği adres (Maksimum 500 karakterdir. Sadece alfanümerik karakterler, &.,/: ve boşluk karakterini kabul eder.)
$shippingAddress->setCountry("Türkiye"); // Sipariş teslimatının yapılacağı ülke (Maksimum 20 karakterdir. Sadece alfabetik olabilir.)
$shippingAddress->setCountryCode("TUR"); // Sipariş teslimatının yapılacağı ülke (2 veya 3 haneli ISO ülke kodudur.Sadece alfabetik olabilir.)
$shippingAddress->setCity("Istanbul"); // Sipariş teslimatının yapılacağı şehir (Maksimum 20 karakterdir.Sadece alfabetik olabilir.)
$shippingAddress->setCityCode("34"); // Sipariş teslimatının yapılacağı şehir (Şehire ait ulusal veya uluslararası kod alanıdır. Türkiye için plaka kodu kullanılabilir.)
$shippingAddress->setZipCode("34580"); // Sipariş teslimatının yapılacağı posta kodu (Uluslararası posta kodu alanıdır.)
$shippingAddress->setDistrict("Şişli"); // Sipariş teslimatının yapılacağı ilçe (İlçe alanıdır.)
$shippingAddress->setDistrictCode(""); // Sipariş teslimatının yapılacağı ilçe kodu (İlçe kodu alanıdır.)
$shippingAddress->setShippingCompany("XXX"); // Taşıyıcı kargo bilgisi (Taşıyıcı kargo bilgisi alanıdır.)
$request->setShippingAddress($shippingAddress);
/**
 * Invoice Address
 * Fature Adresi
 */
$invoceAddress = new \Hepsipay\Model\Address();
$invoceAddress->setName($_POST["pisim"]); // Fatura kesilecek kişi veya kurum adı (Maksimum 40 karakterdir. Sadece alfanümerik karakterler, & . ve boşluk karakterini kabul eder.)
$invoceAddress->setAddress($_POST["padres"]); // Fatura adresi (Maksimum 500 karakterdir. Sadece alfanümerik karakterler, &.,/: ve boşluk karakterini kabul eder.)
$invoceAddress->setCountry("Türkiye"); // Fatura ülkesi (Maksimum 20 karakterdir. Sadece alfabetik olabilir.)
$invoceAddress->setCountryCode("TUR"); // Fatura ülkesi (2 veya 3 haneli ISO ülke kodudur. Sadece alfabetik olabilir.)
$invoceAddress->setCity("Istanbul"); // Fatura şehri (Maksimum 20 karakterdir. Sadece alfabetik olabilir.)
$invoceAddress->setCityCode("34"); // Fatura şehri (Şehire ait ulusal veya uluslararası kod alanıdır. Türkiye için plaka kodu kullanılabilir.)
$invoceAddress->setZipCode("34580"); // Fatura zip code (Uluslararası posta kodu alanıdır.)
$invoceAddress->setDistrict("Şişli"); // Sipariş teslimatının yapılacağı ilçe (İlçe alanıdır.)
$invoceAddress->setDistrictCode(""); // Sipariş teslimatının yapılacağı ilçe kodu (İlçe kodu alanıdır.)
$invoceAddress->setShippingCompany("XXX"); // Taşıyıcı kargo bilgisi (Taşıyıcı kargo bilgisi alanıdır.)
$request->setInvoiceAddress($invoceAddress);
/**
 * Cart
 * Sepet
 */
$basketItems = array();
$firstBasketItem = new \Hepsipay\Model\BasketItem();
$firstBasketItem->setDescription($_POST["pilan"]); // Ürün ismi (Maksimum 40 karakterdir.)
$firstBasketItem->setProductCode("7cefdf61-38cd-4b35-b5f0-4c98c5805d41"); // Ürün kodu (Maksimum 36 karakterdir.)
$firstBasketItem->setAmount("1"); // Ürün fiyatı (Nokta ve virgülden arındırılmış double değerdir.)
$firstBasketItem->setVatRatio("1"); // Tutarın KDV içerip içermediğini belirtir (0, 8 veya 18 değerlerini alabilir.)
$firstBasketItem->setCount("1"); // Ürün miktarı (Maksimum 3 haneli nümerik değerdir.)
$firstBasketItem->setUrl($_POST["pilanurl"]); // Ürün web adresi (Web URL'idir)
$firstBasketItem->setBasketItemType(\Hepsipay\Model\BasketItemType::PHYSICAL); // Ürün tipi (Ürünler için PHYSICAL, Kargo bilgisi için SHIPPING.)
$firstBasketItem->setBasketItemId("i1");  // Ürün kodu (Maksimum 40 karakterdir.)
$basketItems[] = $firstBasketItem;
$request->setBasketItems($basketItems);
$response = \Hepsipay\Model\Payment::create($request);
//print_r($response); // Response
$myVar = print_r($response, true);
if (preg_match("/\"Success\":true,/i", $myVar)) {
?>
<div class="alert alert-success fade in" role="alert" style="padding:0px;">
	<h5 style="margin-left:30px;"><span class="fa fa-check"></span> İşlem Başarılı <i class="fa fa-refresh fa-spin"></i> Yönlendiriliyorsunuz</h5>
</div>
<script language="JavaScript">
    var delay = 2;var targetURL = "http://evdenuzak.com<?php echo $_POST["purl"]?>/sonuc#sonuc"; setTimeout('top.location.replace(targetURL)', (delay * 50));
</script>
<?php } else { ?>
<div class="alert alert-danger fade in" role="alert" style="padding:0px;">
	<h5 style="margin-left:30px;"><span class="fa fa-check"></span> İşlem Başarısız <i class="fa fa-refresh fa-spin"></i> Yönlendiriliyorsunuz</h5>
</div>
<script language="JavaScript">
    var delay = 2;var targetURL = "http://evdenuzak.com<?php echo $_POST["purl"]?>/kkart";setTimeout('top.location.replace(targetURL)', (delay * 50));
</script>
<?php }?>
</body>